Constants may only evaluate to scalar values in system/includes/constants.php Zeile 103



  • Hallo ,

    ich habe heute das Upgrade von 3.28.3 auf 3.35.0 machen wollen und habe die Fehlermeldung "Constants may only evaluate to scalar values" in Zeile 103 von system/includes/constants.php erhalten.

    Ein Blick in die Datei zeigt mir, dass hier mit define() eine Konstante definiert wird, die ein Array als Wert hat. Das geht laut PHP Doku seit Version 5.6. Ich habe PHP 5.6.31 auf unserem Server am Laufen - das sollte also gehen. Da ich nicht ohne Weiteres die PHP-Version hochsetzen kann, es aber mit 5.6.31 gehen sollte: Hat jemand eine ähnliche Konstellation am Laufen, also PHP 5.6.x und ct 3.35.0 ?

    ronald höllwarth


  • ChurchToolsMitarbeiter

    Hallo @rhoellwarth,
    kannst Du dem Support direkt eine Mail schreiben? Dazu kannst Du das Kontaktformular verwenden.

    Vielen Dank Dir!